Status: New % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee:
Category: Document view
Target version: 2.6.1-final
Severity: Trivial Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3028 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

En varias capas de puntos, como la que adjunto (en EPSG 4291, teniendo la Vista en ese CRS también), al hacer tanto zoom
extensión como zoom al elemento seleccionado no hace zoom al punto, sino a una zona muy alejada (se ve en dicho encuadre de
longitud -73º a 183º), dejando el punto en la esquina inferior izquierda (si le damos un poco de grosor podemos ver que está ahí).

Detectado con capas de puntos cuando solo tienen un punto.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5382: La escala de la Vi... Closed 08/13/2020
Related to Application: gvSIG desktop - gvSIG bugs # 4960: Zoom doesn't work ... New 01/09/2019
Related to Application: gvSIG desktop - gvSIG bugs # 4809: Zoom previous and ... New 02/06/2018
Related to Application: gvSIG desktop - gvSIG bugs # 4717: zoom in asumes no ... Closed 10/20/2017

Associated revisions
Revision 45941 - 10/07/2021 09:05 AM - Joaquín  del Cerro Murciano

refs #5380, arreglo parcial para cuando se hace un zoom a un envelope que ha colapsado en x e y. Faltaria añadir a propiedades de la vista y a
preferencias la escala a usar cuando colapsa.

History
#1 - 09/01/2020 11:31 AM - Álvaro Anguix
- Status changed from New to Won't fix

esa capa parece que no está realmente en ese EPSG, los datos de latitud/longitud que da son ilógicos y por eso debe estar provocando el error de
zoom. Lo paso a won't fix

#2 - 09/01/2020 11:31 AM - Álvaro Anguix
- Target version deleted (2.5.1-3042-RC2)

#3 - 09/01/2020 11:32 AM - Álvaro Anguix
- Severity changed from Critical to Major
- Target version set to 2.5.1-3044
- Status changed from Won't fix to New
Me redigo, lo valores absurdos eran por el zoom que estaba, conforme te acercas al punto tienen su lógica.

#4 - 09/28/2020 01:35 AM - Óscar Martínez

Nota: El problema viene en el método getFullEnvelope de la capa FlyrVect (linea 229), que para capas vacias se establece un envelope por defecto
de 0, 0, 90, 90. En capas con un solo punto, por error, se establece este envelope.

#5 - 09/28/2020 09:59 AM - Álvaro Anguix
- Related to gvSIG bugs #5382: La escala de la Vista no se actualiza cuando nos vamos alejando o acercando sobre ella added

#6 - 09/28/2020 09:59 AM - Álvaro Anguix
- Related to gvSIG bugs #4960: Zoom doesn't work good when Measure units are Kilometers / Los zooms no funcionan bien cuando las unidades de 
medida son kilómetros added

#7 - 09/28/2020 10:00 AM - Álvaro Anguix
- Related to gvSIG bugs #4809: Zoom previous and zoom next don't work very good added

#8 - 09/28/2020 10:00 AM - Álvaro Anguix
- Related to gvSIG bugs #4717: zoom in asumes no drag / zum adentro asume que no hay arrastre del raton added

#9 - 09/29/2020 11:47 AM - Álvaro Anguix
- Target version changed from 2.5.1-3044 to 2.6.1-final

#10 - 10/20/2020 04:56 PM - Francisco Puga

No es un bug, pero si es molesto, que cuando se selecciona un punto y se hace zoom, se va a una escala 1:1, con lo que siempre hay que ir hacia
atrás. Creo que tendría sentido fijar una escala mínima, nivel de zoom, ... a la que tiene sentido acercarse mediante el zoom a selección.

#11 - 10/20/2020 10:20 PM - Álvaro Anguix

Hola Fran, no es mala idea, pero tengo la duda de qué "zoom" sería el correcto, pensando que hay gente que usa el SIG hasta para analizar pinturas
rupestres. Quizá sería buena opción dejar uno por defecto y que en preferencias se pudiera modificar.

#12 - 08/04/2023 08:25 AM - Joaquín  del Cerro Murciano
- Severity changed from Major to Trivial
- Priority changed from Normal to Low
